Adding run-time dependency on Ubuntu

Posted by – August 5, 2010

This patch adds a runtime dependency on “dbus-1-utils” to the original source deb.

Refers to:
https://bugs.launchpad.net/ubuntu/+source/avahi/+bug/31458/comments/1
http://launchpadlibrarian.net/1571338/avahi-daemon.debdiff

diff -u avahi-0.5.2/debian/control avahi-0.5.2/debian/control
— avahi-0.5.2/debian/control
+++ avahi-0.5.2/debian/control
@@ -7,7 +7,7 @@

Package: avahi-daemon
Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, dbus-1-utils
Recommends: dbus, libnss-mdns
Suggests: avahi-dnsconfd
Conflicts: mdnsresponder
diff -u avahi-0.5.2/debian/changelog avahi-0.5.2/debian/changelog
— avahi-0.5.2/debian/changelog
+++ avahi-0.5.2/debian/changelog
@@ -1,3 +1,9 @@
+avahi (0.5.2-2) experimental; urgency=low
+
+  * Added dependency on dbus-1-utils, required by postinst
+
+ — Lorenzo J. Lucchini <ljlbox@tiscali.it>  Wed, 15 Feb 2006 02:39:05 +0100
+
avahi (0.5.2-1) experimental; urgency=low

* New upstream release.

1 Comment on Adding run-time dependency on Ubuntu

  1. mosjin says:

    If wanna adding build dependency, add it at Build-Depends block:

    $bash: more debian/control

    Source: leafpad
    Section: editors
    Priority: optional
    Maintainer: Ubuntu Developers
    XSBC-Original-Maintainer: Carlos Z.F. Liu
    Uploaders: Debian GNOME Maintainers

    Build-Depends: cdbs,
    debhelper (>= 5),
    pkg-config,
    libgtk2.0-dev (>= 2.10),
    gnome-pkg-tools
    my-testing-dependency
    Standards-Version: 3.7.3
    Homepage: http://tarot.freeshell.org/leafpad/

    Package: leafpad
    Architecture: any
    Depends: ${shlibs:Depends},
    ${misc:Depends}
    Suggests: evince-gtk
    Description: GTK+ based simple text editor
    Leafpad is a simple GTK+ based text editor, the user interface is
    similar to Notepad. It aims to be lighter than GEdit & KWrite,
    and to be as useful as them.

Leave a Reply